summaryrefslogtreecommitdiff
path: root/SCAN-RSS/baselines
diff options
context:
space:
mode:
Diffstat (limited to 'SCAN-RSS/baselines')
-rw-r--r--SCAN-RSS/baselines/cpu/Makefile13
-rw-r--r--SCAN-RSS/baselines/cpu/app_baseline.cpp10
-rwxr-xr-xSCAN-RSS/baselines/cpu/run-opti.sh9
-rwxr-xr-xSCAN-RSS/baselines/cpu/run.sh19
4 files changed, 37 insertions, 14 deletions
diff --git a/SCAN-RSS/baselines/cpu/Makefile b/SCAN-RSS/baselines/cpu/Makefile
index 2765a1b..0bdedf6 100644
--- a/SCAN-RSS/baselines/cpu/Makefile
+++ b/SCAN-RSS/baselines/cpu/Makefile
@@ -1,5 +1,14 @@
-all:
+TYPE ?= UINT64
+
+all: scan
+
+scan: app_baseline.cpp
g++ -O2 app_baseline.cpp -fopenmp -DTHRUST_HOST_SYSTEM=THRUST_HOST_SYSTEM_CPP -DTHRUST_DEVICE_SYSTEM=THRUST_DEVICE_SYSTEM_OMP -lgomp -I/usr/local/cuda-8.0/include -lm -o scan -D${TYPE}
+run: scan
+ ./scan -i 1258291200 -t 4
+
clean:
- rm scan
+ rm -f scan
+
+.PHONY: all run clean
diff --git a/SCAN-RSS/baselines/cpu/app_baseline.cpp b/SCAN-RSS/baselines/cpu/app_baseline.cpp
index ba9b31f..66eced5 100644
--- a/SCAN-RSS/baselines/cpu/app_baseline.cpp
+++ b/SCAN-RSS/baselines/cpu/app_baseline.cpp
@@ -189,18 +189,14 @@ int main(int argc, char **argv) {
printf("[" ANSI_COLOR_GREEN "OK" ANSI_COLOR_RESET "] Outputs are equal\n");
if(rep >= p.n_warmup) {
- printf("[::] n_threads=%d e_type=%s n_elements=%d "
- "| throughput_cpu_ref_MBps=%f throughput_cpu_thrust_MBps=%f\n",
+ printf("[::] SCAN-RSS CPU | n_threads=%d e_type=%s n_elements=%d "
+ "| throughput_cpu_ref_MBps=%f throughput_cpu_thrust_MBps=%f",
nr_threads, XSTR(T), input_size,
input_size * sizeof(T) / timer.time[0],
input_size * sizeof(T) / timer.time[1]);
- printf("[::] n_threads=%d e_type=%s n_elements=%d "
- "| throughput_cpu_ref_MOpps=%f throughput_cpu_thrust_MOpps=%f\n",
- nr_threads, XSTR(T), input_size,
+ printf(" throughput_cpu_ref_MOpps=%f throughput_cpu_thrust_MOpps=%f",
input_size / timer.time[0],
input_size / timer.time[1]);
- printf("[::] n_threads=%d e_type=%s n_elements=%d | ",
- nr_threads, XSTR(T), input_size);
printall(&timer, 1);
}
} else {
diff --git a/SCAN-RSS/baselines/cpu/run-opti.sh b/SCAN-RSS/baselines/cpu/run-opti.sh
new file mode 100755
index 0000000..c9f6ce4
--- /dev/null
+++ b/SCAN-RSS/baselines/cpu/run-opti.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+HOST="$(hostname)"
+
+echo $HOST
+
+make -B TYPE=UINT64 verbose=1
+
+timeout --foreground -k 1m 30m ./scan -i 1258291200 -t 4 -w 0 -e 100 | sed 's/CPU/CPU Baseline/' | tee "${HOST}-baseline.txt"
diff --git a/SCAN-RSS/baselines/cpu/run.sh b/SCAN-RSS/baselines/cpu/run.sh
index dde3acd..10c13ac 100755
--- a/SCAN-RSS/baselines/cpu/run.sh
+++ b/SCAN-RSS/baselines/cpu/run.sh
@@ -2,16 +2,25 @@
set -e
+HOST="$(hostname)"
+
+echo $HOST
+
+(
+
echo "prim-benchmarks SCAN-RSS CPU/Thrust (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
- for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1258291200 2516582400; do
- for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
- if make -B TYPE=${dt}; then
- timeout -k 1m 30m ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
+ #for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1258291200 2516582400; do
+ for i in 1258291200; do
+ #for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
+ for dt in UINT64; do
+ if make -B TYPE=${dt} verbose=1; then
+ timeout --foreground -k 1m 30m ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
fi
done
done
done
+) | tee "${HOST}-explore.txt"